### Constructor

# Gtk.PropertyExpression.new_for_pspec

#### Declaration [src]

    GtkExpression*
    gtk_property_expression_new_for_pspec (
      GtkExpression* expression,
      GParamSpec* pspec
    )

#### Description [src]

Creates an expression that looks up a property via the given `expression` or the `this` argument when `expression` is `NULL`.

If the resulting object conforms to `this_type`, its property specified by `pspec` will be queried. Otherwise, this expression’s evaluation will fail.

#### Parameters

`expression` | `GtkExpression`
| Expression to evaluate to get the object to query or `NULL` to query the `this` object
| Can be `NULL`
| Ownership of the data is transferred to the callee
`pspec` | `GParamSpec*`
| the `GParamSpec` for the property to query
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkPropertyExpression`
a new `GtkExpression`
Ownership of the data is transferred to the caller